﻿using System;
using System.Threading.Tasks;
using System.Windows.Input;
using Borepin.Base;
using Prism.Navigation;
using Xamarin.Forms;

namespace Borepin.PageModel
{
    public class MainPageModel : PageModelBase
    {
        #region Constructors
        public MainPageModel(INavigationService navigationService) : base(navigationService)
        {
            NavigateCommand = new Command<string>(NavigateCommandExecute);
        }
        #endregion

        #region LoadData
        public override Task LoadData()
        {
            return Task.CompletedTask;
        }
        #endregion

        #region Commands
        private ICommand _NavigationCommand;
        public ICommand NavigateCommand 
        {
            get => _NavigationCommand;
            set => SetProperty(ref _NavigationCommand, value);
        }
        public async void NavigateCommandExecute(string view)
        {
            await _NavigationService.NavigateAsync($"NavigationPage/{ view }").ConfigureAwait(false);
        }
        #endregion

        #region INavigationAware
        public override void OnNavigatedFrom(INavigationParameters parameters)
        {

        }

        public override void OnNavigatedTo(INavigationParameters parameters)
        {

        }
        #endregion
    }
}
